problemi re-installare openoffice 2.0

Sezione dedicata alle problematiche sull'uso dei tool di installazione e gestione di pacchetti, in una distribuzione Debian-based.

Re: problemi re-installare openoffice 2.0

Messaggioda sacarde » 25/09/2005, 16:43

ho deciso di fare una MIX

ho copiato i sources come dalla guida "APT uso avanzato: mixare releases diverse"

l'apt-get update non mi trova diversi server......



cmq ho istallato libhsqldb-java 1.8.0.0-2

facevo i salti di gioia !!!!!!!!!!!!!!!!

poi..... l'installazione di openoffice......

I seguenti pacchetti hanno dipendenze non soddisfatte:
openoffice.org2-base: Dipende: libmdbtools ma non è installabile
Dipende: libstlport4.6c2 ma non è installabile
openoffice.org2-calc: Dipende: libstlport4.6c2 ma non è installabile
openoffice.org2-core: Dipende: openoffice.org2-common (> 1.9.125) ma non sta per essere installato
Dipende: libmyspell3c2 ma non è installabile
Dipende: libportaudio0 ma non è installabile
Dipende: libsablot0 ma non è installabile
Dipende: libstlport4.6c2 ma non è installabile
Dipende: libnspr4 ma non è installabile
openoffice.org2-draw: Dipende: libstlport4.6c2 ma non è installabile
openoffice.org2-gnome: Dipende: libbonobo2-0 (>= 2.8.0) ma non è installabile
Dipende: libgconf2-4 (>= 2.9) ma non sta per essere installato
Dipende: libgnomevfs2-0 (>= 2.10.0-0) ma non sta per essere installato
Dipende: liborbit2 (>= 1:2.10.0) ma non è installabile
Dipende: libstlport4.6c2 ma non è installabile
openoffice.org2-impress: Dipende: libstlport4.6c2 ma non è installabile
openoffice.org2-math: Dipende: libstlport4.6c2 ma non è installabile
openoffice.org2-writer: Dipende: libstlport4.6c2 ma non è installabile
Dipende: libwpd8c2 ma non è installabile
Dipende: python-uno (> 1.9.125) ma non sta per essere installato
E: Pacchetto non integro


mi serve una benedizione ?
sacarde
Jr. Member
Jr. Member
 
Messaggi: 72
Iscritto il: 24/09/2005, 5:56

Re: problemi re-installare openoffice 2.0

Messaggioda keltik » 25/09/2005, 16:51

hai impostato il pinning come spiegato nella guida relativa a openoffice? e il file apt.conf?
Avatar utente
keltik
Hero Member
Hero Member
 
Messaggi: 1257
Iscritto il: 01/01/2005, 17:12

Re: problemi re-installare openoffice 2.0

Messaggioda sacarde » 25/09/2005, 17:02

ho copiato tutto come dalla guida "APT uso avanzato: mixare releases diverse"



APT::Default-Release "testing";
APT::Cache-Limit 20000000;
Apt::Get::Purge;
APT::Clean-Installed;
APT::Get::Fix-Broken;
APT::Get::Fix-Missing;
APT::Get::Show-Upgraded "true";





p.s.
quando faccio apt-get update non mi trova alcuni server.....

deve farlo ?
sacarde
Jr. Member
Jr. Member
 
Messaggi: 72
Iscritto il: 24/09/2005, 5:56

Re: problemi re-installare openoffice 2.0

Messaggioda keltik » 25/09/2005, 19:41

apt.conf è ok.

per il resto, la guida da seguire è quella relativa a openoffice:
hai impostato il pinning come spiegato nella guida relativa a openoffice?
perchè l' altra (come scritto) si riferisce ad un uso più generico e cmq all' uso dei repositories di Marillat e di Rarewares.

quello che ti serve (preso pari pari dalla guida) è un sources.list fatto così (come minimo):
# Debian Testing - ufficiale
deb http://debian.fastweb.it/debian/ testing main non-free contrib
# Debian Testing - ufficiale sicurezza
deb http://security.debian.org/ testing/updates main contrib non-free
# Debian Unstable - ufficiale
deb http://debian.fastweb.it/debian unstable main contrib non-free
# Debian Experimental - ufficiale
deb http://debian.fastweb.it/debian/ ../project/experimental main contrib non-free

ti serve anche un file preferences (sempre preso dalla guida) fatto così:
Package: *
Pin: release a=testing
Pin-Priority: 850

Package: *
Pin: release a=unstable
Pin-Priority: 800

Package: *
Pin: release a=experimental
Pin-Priority: 750


il comando per installare openoffice2 (pressochè completo) è:
# apt-get install openoffice.org2-core openoffice.org2-writer openoffice.org2-calc openoffice.org2-impress openoffice.org2-draw openoffice.org2-math openoffice.org2-base openoffice.org2-gnome openoffice.org2-l10n-it
.

se non vengono risolte automaticamente dipendenze, *devi* tenere presente che OpenOffice2 proviene da 'experimental' e quindi i pacchetti aggiuntivi vanno installati con:
Codice: Seleziona tutto
# apt-get install -t experimental <pacchetto>


insomma ... niente che non sia scritto nella guida, mi pare ;-)

:ciauz:
Avatar utente
keltik
Hero Member
Hero Member
 
Messaggi: 1257
Iscritto il: 01/01/2005, 17:12

Re: problemi re-installare openoffice 2.0

Messaggioda sacarde » 25/09/2005, 20:44

era quello che avevo impostato inizialmente.....

poi dovendo fare quella manovra di MIX sources avevo modificato i file.....

adesso quindi sono tornato sulla testing ?

comunque adesso sto' installando openoffice2



hurra'




hei ........ un attimo

sembra aver scaricato tutto, configurato ma......poi:

Sono occorsi degli errori processando:
/var/cache/apt/archives/bsh_2.0b4-1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)



noooooooooooooooo
sacarde
Jr. Member
Jr. Member
 
Messaggi: 72
Iscritto il: 24/09/2005, 5:56

Re: problemi re-installare openoffice 2.0

Messaggioda keltik » 25/09/2005, 21:41

eh ma se non posti i messaggi completi ...

cmq ti assicuro che è una cosa semplicissima: basta procedere con calma e ordine mentale ;-)
Avatar utente
keltik
Hero Member
Hero Member
 
Messaggi: 1257
Iscritto il: 01/01/2005, 17:12

Re: problemi re-installare openoffice 2.0

Messaggioda sacarde » 26/09/2005, 9:19

riassumo la situazione.....
facendo: dpkg -l | grep openoffice

iU openoffice.org 1.9.125+2.0bet OpenOffice.org office suite - database
iU openoffice.org 1.9.125+2.0bet OpenOffice.org office suite - spreadsheet
iU openoffice.org 1.9.125+2.0bet OpenOffice.org office suite architecture ind
iU openoffice.org 1.9.125+2.0bet OpenOffice.org office suite architecture dep
iU openoffice.org 1.9.125+2.0bet OpenOffice.org office suite - drawing
iU openoffice.org 1.9.125+2.0bet GNOME Integration for OpenOffice.org (Widget
iU openoffice.org 1.9.125+2.0bet OpenOffice.org office suite - presentation
iU openoffice.org 1.9.125+2.0bet English_american language package for OpenOf
iU openoffice.org 1.9.125+2.0bet Italian language package for OpenOffice.org
iU openoffice.org 1.9.125+2.0bet OpenOffice.org office suite - equation edito
iU openoffice.org 1.9.125+2.0bet OpenOffice.org office suite - word processor


alcuni programmi del pacchetto funzionano gia'....

ho avuto soltanto questo messaggio di errore durante l'installazione:

Sono occorsi degli errori processando:
/var/cache/apt/archives/bsh_2.0b4-1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
sacarde
Jr. Member
Jr. Member
 
Messaggi: 72
Iscritto il: 24/09/2005, 5:56

Re: problemi re-installare openoffice 2.0

Messaggioda sacarde » 26/09/2005, 16:04

ho risolto...... con un po' di c......


bsh era gia' installato in un altro pacchetto knoppix

lo ho disinstallato ..... e ha terminato anche la configurazione di openoffice2....



grazie a tutti.........(e della pazienza)
sacarde
Jr. Member
Jr. Member
 
Messaggi: 72
Iscritto il: 24/09/2005, 5:56

Re: problemi re-installare openoffice 2.0

Messaggioda keltik » 26/09/2005, 18:32

figurati: del resto le cose diventano semplici *dopo* averle fatte e raramente lo sono prima.

;-)

:ciauz:
Avatar utente
keltik
Hero Member
Hero Member
 
Messaggi: 1257
Iscritto il: 01/01/2005, 17:12

Re: problemi re-installare openoffice 2.0

Messaggioda Arte Multimediale » 28/09/2005, 16:46

Anche io ho provato a seguire la guida ma nulla, ho installato le jre, usato le varie versioni di testing, installato open office ma il core di open office e' rimasto installato come pacchetto difettoso, anche se credo che il problema nasca dal common che dava problemi anche al reinstall, e il tutto tra l'altro non mi faceva piu' partire gnome.

Ho disinstallato openoffice e ripristinato il vecchio sistema.

Volevo sapere se questa installazione è stata fatta su sarge.
Arte Multimediale
 

Re: problemi re-installare openoffice 2.0

Messaggioda Arte Multimediale » 29/09/2005, 1:06

Se, dopo avere seguito le istruzioni della guida, aver installato le j2re 1.4, passato alla libhsqldb-java 1.8.0.0-2 apt-get dei pacchetti mi da il segurente codice:

installato java, passato alla
Codice: Seleziona tutto
Lettura della lista dei pacchetti in corso... Fatto
Generazione dell'albero delle dipendenze in corso... Fatto

I seguenti pacchetti verranno inoltre installati:
  libmyspell3c2 openoffice.org2-common openoffice.org2-l10n-en-us python-uno

Pacchetti suggeriti:
  unixodbc libmyodbc odbc-postgresql tdsodbc mdbtools libmysql-java libpg-java
  libsapdbc7.5.01-java oooqstart-gnome openoffice.org2-evolution
  myspell-dictionary-en-us openoffice.org-hyphenation-en-us
  openoffice.org2-thesaurus-en-us openoffice.org2-help-en-us-1.9.125
  openoffice.org-hyphenation-it openoffice.org2-thesaurus-it
  openoffice.org2-help-it-1.9.125

Pacchetti raccomandati:
  java-gcj-compat

[color=FF0000]
I seguenti pacchetti saranno RIMOSSI:
  abiword-common abiword-gnome gnome gnome-office libenchant1 libmyspell3
[/color]


I seguenti pacchetti NUOVI (NEW) saranno installati:
  libmyspell3c2 openoffice.org2-base openoffice.org2-calc
  openoffice.org2-common openoffice.org2-core openoffice.org2-draw
  openoffice.org2-gnome openoffice.org2-impress openoffice.org2-l10n-en-us
  openoffice.org2-l10n-it openoffice.org2-math openoffice.org2-writer
  python-uno
0 aggiornati, 13 installati, 6 da rimuovere e 505 non aggiornati.
È necessario prendere 0B/74,0MB di archivi.
Dopo l'estrazione, verranno occupati 176MB di spazio su disco.
Continuare? [S/n] n


Da notare la parte rossa.. da rimuovere gnome O_O


Credo che probabilmente questo sia dovuto al fatto che si necessiti della libmyspell3c2 mentre ho installato la libmyspell3 (e da notare che vede le due lib come pacchetti distinti).
Infatti se provo a fare un
Codice: Seleziona tutto
apt-get install libmyspell3c2

ottengo il medesimo errore:
Codice: Seleziona tutto
Lettura della lista dei pacchetti in corso... Fatto
Generazione dell'albero delle dipendenze in corso... Fatto

[color=FF0000]
I seguenti pacchetti saranno RIMOSSI:
  abiword-common abiword-gnome gnome gnome-office
[/color]

libenchant1 libmyspell3
I seguenti pacchetti NUOVI (NEW) saranno installati:
  libmyspell3c2
0 aggiornati, 1 installati, 6 da rimuovere e 505 non aggiornati.
È necessario prendere 0B/26,7kB di archivi.
Dopo l'estrazione, verranno liberati 13,8MB di spazio su disco.
Continuare? [S/n]



Qualche suggerimento?

PS: So che il tread è stato segnato risolto, ma l'argomento è quello, se avrei dovuto scrivere in altro thread piuttosto che contiinuare questo scusate il mio errore
Arte Multimediale
 

Re: problemi re-installare openoffice 2.0

Messaggioda keltik » 29/09/2005, 9:41

hai fatto bene a postare qui.

io credo che eliminando il pacchetto "gnome" non venga pregiudicata la tua installazione dell' ambiente grafico.

puoi sempre utilizzare lo switch "-s" in coda a apt per simulare semplicemente quello che accadrebbe lanciando il comando.

ti dico che secondo me eliminare "gnome" in quanto tale non dovrebbe far male al sistema per il semplice fatto che io faccio girare tranquillamente gnome, senza che quel pacchetto sia installato: infatti mi pare che apt ti dica che rimuoverà 6 pacchetti, mentre gnome (anche nell' installazione più spartana, quella che preferisco) ne contiene qualcuno di più, che oltretto non vengono menzionati da apt.

ad esempio, non verrà rimosso gnome-bin:
Codice: Seleziona tutto
gnome-bin/testing uptodate 1.4.2-21


oltretutto non posti il comando che impartisci ad apt, ma dalla parte:
0 aggiornati, 13 installati, 6 da rimuovere e 505 non aggiornati.
posso fare un paio di deduzioni:
1) non aggiorni il tuo sistema da mesi;
2) non stai usando testing;
3) hai usato lo switch '-t unstable' o '-t experimental' nel comando apt.

propendendo per la terza ipotesi, ti ricordo che non è necessario, ma anzi deleterio (perchè forza apt a prendere anche le dipendenze da unstable o experimental, mentre noi vogliamo che quando possibile le prenda da testing).

spero di esserti stato di aiuto, fammi sapere!

:ciauz:
Avatar utente
keltik
Hero Member
Hero Member
 
Messaggi: 1257
Iscritto il: 01/01/2005, 17:12

Precedente

Torna a Apt-get and friends

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti